# Create your views here.
from models import *
from forms import *
from django.shortcuts import render_to_response
from ox.django.shortcuts import render_to_json_response
from django.core.paginator import Paginator, InvalidPage, EmptyPage

def person_form(request):
    person = Person.objects.all()[0]
    form = PersonForm(instance=person)
    inlines = [inline(instance=person) for inline in form.inlines]
    #import pdb
    #pdb.set_trace()
    return render_to_response("test/person_form.html", {'form': form, 'inlines': inlines})

def personpopup(request):
    form = PersonForm()
    return render_to_response("test/popup.html", {'form': form})

def autocomplete(request):
    q = request.GET.get('q', 'a')
    page = int(request.GET.get('page', '1'))
    page_limit = int(request.GET.get('page_limit', '10'))
    #qset_all = Person.objects.all()
    qset = Person.objects.filter(first_name__icontains=q)
    paginator = Paginator(qset, page_limit)
    results = paginator.page(page)
    items = [{'id': obj.id, 'first_name': obj.first_name, 'last_name': obj.last_name, 'about': obj.about, 'text': obj.first_name + " " + obj.last_name} for obj in results.object_list]
    return render_to_json_response({
        'items': items,
        'has_next': results.has_next()
    })
                                
